- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cmd – Windows Command Prompt

New in version 2.8.

- Synopsis
- Parameters
- Status

## Synopsis

- Used with the ‘ssh’ connection plugin and no `DefaultShell` has been set on the Windows host.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
async_dir - added in 2.8 | Default: "%USERPROFILE%\\.ansible_async" | ini entries: [powershell] async_dir = %USERPROFILE%\.ansible_async var: ansible_async_dir | Directory in which ansible will keep async job information. Before Ansible 2.8, this was set to `remote_tmp + "\.ansible_async"`.
environment dictionary | Default: {} |  | Dictionary of environment variables and their values to use when executing commands.
remote_tmp - | Default: "%TEMP%" | ini entries: [powershell] remote_tmp = %TEMP% var: ansible_remote_tmp | Temporary directory to use on targets when copying files to the host.
set_module_language boolean | Choices: no ← yes |  | Controls if we set the locale for moduels when executing on the target. Windows only supports `no` as an option.

## Status

- This shell is not guaranteed to have a backwards compatible interface. [preview]
- This shell is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.